EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseChangeScripts_GetExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DatabaseChangeScriptExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a database change script execution.'
GO

IF OBJECT_ID('[DatabaseChangeScripts_GetExecution]') IS NOT NULL DROP PROCEDURE [DatabaseChangeScripts_GetExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseChangeScripts_GetExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DatabaseChangeScriptExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [DatabaseChangeScripts_GetExecution] TO [BuildMasterUser_Role]
