EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetPipelineStageDeploymentExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'PipelineStageDeploymentExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a pipeline stage deployment execution.'
GO

IF OBJECT_ID('[Executions_GetPipelineStageDeploymentExecution]') IS NOT NULL DROP PROCEDURE [Executions_GetPipelineStageDeploymentExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetPipelineStageDeploymentExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [PipelineStageDeploymentExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetPipelineStageDeploymentExecution] TO [BuildMasterUser_Role]
